"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const inquirer_1 = __importDefault(require("inquirer"));
const conf_1 = require("../../conf");
const shared_1 = require("../../shared");
exports.default = () => __awaiter(void 0, void 0, void 0, function* () {
    let questions = [
        {
            type: "confirm",
            name: "confirm",
            message: "Are your sure?",
            default: false
        }
    ];
    inquirer_1.default.prompt(questions).then((answers) => __awaiter(void 0, void 0, void 0, function* () {
        let result = answers;
        if (result.confirm) {
            conf_1.clear();
            shared_1.logger.info("Credentials has been removed");
        }
    }));
});
