"use strict";
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (Object.hasOwnProperty.call(mod, k)) result[k] = mod[k];
    result["default"] = mod;
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const findhelp_1 = require("findhelp");
const pkg = __importStar(require("../../package.json"));
const tree_1 = __importDefault(require("./tree"));
exports.default = (options) => {
    if (options.h || options.help) {
        console.log(findhelp_1.help(tree_1.default, pkg));
    }
    else if (options.v || options.version) {
        console.log(pkg.version);
    }
    else {
        console.log(findhelp_1.help(tree_1.default, pkg));
    }
    return Promise.resolve();
};
