"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const get_repository_name_1 = require("./get-repository-name");
// Método que recorre la lista de proyectos y obtiene el nombre a emplear de acuerdo a la carpeta.
exports.getProjectNames = (currentDirectory) => {
    let repositoryNames = [];
    currentDirectory.map((item) => __awaiter(void 0, void 0, void 0, function* () {
        repositoryNames.push(get_repository_name_1.getRepositoryName(item.replace(".json", "")));
    }));
    return repositoryNames;
};
