"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("./child-process");
exports.executeCommands = (options) => {
    let index = options.position;
    if (index < options.dependenciesList.length) {
        // Obtengo el path del projecto, buscando en la lista de manifests
        options.manifests.forEach((res) => {
            if (`${res.vendor}.${res.name}` == options.dependenciesList[index].value) {
                const optionsCommand = {
                    command: options.commands,
                    path: res.path
                };
                child_process_1.runCommand(optionsCommand).then(() => {
                    index++;
                    const optionsToRun = {
                        position: index,
                        manifests: options.manifests,
                        dependenciesList: options.dependenciesList,
                        commands: options.commands
                    };
                    exports.executeCommands(optionsToRun);
                });
            }
        });
    }
    else {
        process.exit();
    }
};
