"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const shared_1 = require("./../../../shared");
const dirname = process.cwd();
const basicInfo = `
[
  {
    "name": "develop",
    "customData": {
        "codeBuild": "exito-vtex-deploy-develop",
        "vendor": "exito",
        "workspace": "dev",
        "codeCommitBranch": "develop",
        "urlToClone": "https://git-codecommit.us-east-1.amazonaws.com/v1/repos",
        "linkCommand": "vtex link",
        "publishCommand": "vtex workspace use master && vtex publish"
    }
  }
]
`;
exports.default = () => __awaiter(void 0, void 0, void 0, function* () {
    shared_1.logger.info('Creating aws triggers example custom data');
    yield fs_1.writeFileSync(dirname + "/trigger-config.json", basicInfo);
});
