"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const Configstore = require("configstore");
const shared_1 = require("./../../../shared");
exports.default = () => __awaiter(void 0, void 0, void 0, function* () {
    try {
        new Configstore("vtex", { workspace: "production" });
        shared_1.logger.info("vtex json generate successfully");
    }
    catch (error) {
        shared_1.logger.error("Error on generate the vtex file");
        process.exit(1);
    }
});
